<!DOCTYPE html>
<meta charset="utf-8">
<script src="d3.v4.js"></script>
<script src="d3-scale-chromatic.v1.min.js"></script>
<script src="1581961777807.json"></script>
<div id="my_dataviz"></div>
<style>
</style>
<script>
var text = [];
var scale = 104.51735850759;
var plan_width = 1257; 
var plan_height = 1015;
var offset_x = 0;
var offset_y = 0; 
text += "<table>" + "<tr>" + "<th>" + "MAC" + "</th>" + "<th>" + "Position count" + "</th>" + "</tr>"
for (j = 0; j < data.length; j++) {
  text += "<tr>" + "<th>" + data[j].mac + "</th>" + "<th>" + data[j].data_object.length + "</th>" + "</tr>";
}

text += "</table>"
document.write(text);

var j = 0;
var my_data = [];
var my_group = [];

data.forEach(function myFunc () {
  my_data.push({name: j, values: data[j].data_object});
  my_group.push(j);
  j++;
});

// set the dimensions and margins of the graph
var margin = {top: 0, right: 0, bottom: 0, left: 0},
	width = 1920 - margin.left - margin.right,
	height = 1000 - margin.top - margin.bottom;


// append the svg object to the body of the page
var svg = d3.select("#my_dataviz")
  .append("svg")
    .attr("width", width + margin.left + margin.right)
    .attr("height", height + margin.top + margin.bottom)
  .call(d3.zoom().on("zoom", function () {
      svg.attr("transform", d3.event.transform)
    }))
    .on("dblclick.zoom", null)   
    .on("dblclick",function(d){ svg.attr("transform", "translate(0,0) scale(1)"); })
  .append("g")
    .attr("transform",
          "translate(" + margin.left + "," + margin.top + ")");

var my_image = svg.append('image')
    .attr('xlink:href', 'kancl.png')
    .attr('width', plan_width)
    .attr('height', plan_height)

// Data

    // List of groups (here I have one group per column)
    var allGroup = my_group;

    // Reformat the data: we need an array of arrays of {x, y} tuples
    dataReady = my_data;

    // A color scale: one color for each group
    var myColor = d3.scaleOrdinal()
      .domain(allGroup)
      .range(d3.schemeSet2);

    // Add X axis
    var x = d3.scaleLinear()
      .domain([0, (plan_width - offset_x)/scale]) // x arealu //d3.max(dataReady[0].values, function(d) { return d.x; })])
      .range([offset_x, plan_width]);
    svg.append("g")
      .attr("transform", "translate(0," + height + ")")

    // Add Y axis
    var y = d3.scaleLinear()
      .domain([0, (plan_height - offset_y)/scale]) // y arealu //d3.max(dataReady[0].values, function(d) { return d.y; })])
      .range([offset_y, plan_height]);
    svg.append("g")

    // Add the lines
    var line = d3.line()
      .x(function(d) { return x(+d.x) })
      .y(function(d) { return y(+d.y) })
    svg.selectAll("myLines")
      .data(dataReady)
      .enter()
      .append("path")
        .attr("class", function(d){ return d.name })
        .attr("d", function(d){ return line(d.values) } )
        .attr("stroke", function(d){ return myColor(d.name) })
        .style("stroke-width", 1)
        .style("fill", "none")

    // Add the points
    svg
      // First we need to enter in a group
      .selectAll("myDots")
      .data(dataReady)
      .enter()
        .append('g')
        .style("fill", function(d){ return myColor(d.name) })
        .attr("class", function(d){ return d.name })
      // Second we need to enter in the 'values' part of this group
      .selectAll("myPoints")
      .data(function(d){ return d.values })
      .enter()
      .append("circle")
        .attr("cx", function(d) { return x(d.x) } )
        .attr("cy", function(d) { return y(d.y) } )
        .attr("r", 5)
</script>
